﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DontHarmDesktop.Models
{
    partial class users
    {
        /// <summary>
        /// ФИО в красивом формате
        /// </summary>
        public string HumanName
        {
            get
            {
                string part1 = this.surname;
                string part2 = this.name[0] + ".";
                
                string part3;
                if (this.patronymic != null)
                {
                    part3 = this.patronymic[0] + ".";
                } else
                {
                    part3 = "";
                }
                return part1 + " " + part2 + part3;
            }
        }

        /// <summary>
        /// Среднее арифметическое стоимости услуг, оказываемых сотрудником
        /// </summary>
        public float Priceness
        {
            get
            {
                if (employee_services.Count == 0)
                {
                    return 0;
                }
                decimal sum = employee_services.Sum(e => e.services.price);
                return (float)(sum / employee_services.Count);
            }
        }
    }
}
